<?php

namespace Assetdocs\Incidentreporting\Repositories\Eloquent;

use Assetdocs\Incidentreporting\Interfaces\IncidentreportingRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class IncidentreportingRepository extends BaseRepository implements IncidentreportingRepositoryInterface
{
    /**
     * Booting the repository.
     *
     * @return null
     */
    public function boot()
    {
        $this->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        $this->fieldSearchable = config('package.incidentreporting.incidentreporting.search');
        return config('package.incidentreporting.incidentreporting.model');
    }
}
