<?php

namespace Assetdocs\Incidentreporting\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class IncidentreportingItemTransformer extends TransformerAbstract
{
    public function transform(\Assetdocs\Incidentreporting\Models\Incidentreporting $incidentreporting)
    {
        return [
            'id'                => $incidentreporting->getRouteKey(),
            'id'                => $incidentreporting->id,
            'division_id'       => $incidentreporting->division_id,
            'asset_id'          => $incidentreporting->asset_id,
            'damagepercentage'  => $incidentreporting->damagepercentage,
            'damagedetails'     => $incidentreporting->damagedetails,
            'status'            => $incidentreporting->status,
            'statusdate'        => $incidentreporting->statusdate,
            'employee_id'       => $incidentreporting->employee_id,
            'externalname'      => $incidentreporting->externalname,
            'externalmobile'    => $incidentreporting->externalmobile,
            'usedby_id'         => $incidentreporting->usedby_id,
            'custodian_id'      => $incidentreporting->custodian_id,
            'asset_type'        => $incidentreporting->asset_type,
            'action'            => $incidentreporting->action,
            'slug'              => $incidentreporting->slug,
            'user_id'           => $incidentreporting->user_id,
            'user_type'         => $incidentreporting->user_type,
            'created_at'        => $incidentreporting->created_at,
            'updated_at'        => $incidentreporting->updated_at,
            'deleted_at'        => $incidentreporting->deleted_at,
            'image'             => $incidentreporting->image,
        ];
    }
}