<?php

use Illuminate\Database\Seeder;

class IncidentreportingTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('incidentreportings')->insert([
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/incidentreporting/incidentreporting',
                'name'        => 'Incidentreportings',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 1,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/incidentreportings',
                'name'        => 'Incidentreportings',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 1,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'incidentreportings',
                'name'        => 'Incidentreportings',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 1,
                'status'      => 1,
            ],

        ]);


        DB::table('permissions')->insert([
            [
                'slug'      => 'incidentreporting.incidentreporting.view',
                'name'      => 'View Incidentreporting',
            ],
            [
                'slug'      => 'incidentreporting.incidentreporting.create',
                'name'      => 'Create Incidentreporting',
            ],
            [
                'slug'      => 'incidentreporting.incidentreporting.edit',
                'name'      => 'Update Incidentreporting',
            ],
            [
                'slug'      => 'incidentreporting.incidentreporting.delete',
                'name'      => 'Delete Incidentreporting',
            ],
        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'incidentreporting.incidentreporting.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
