@include('public::notifications')
<div class="container">
    <div class="row">
        <div class="col-md-6">
            <h4 class="text-dark  header-title m-t-0"> Details of {!! $incidentreporting['name'] !!} </h4>
        </div>
        <div class="col-md-6">
            <div class='pull-right'>
                <a href="{{ trans_url('/user/incidentreporting/incidentreporting') }}" class="btn btn-default"> {{ trans('cms.back')  }}</a>
                <a href="{{ trans_url('/user/incidentreporting/incidentreporting') }}/{{ incidentreporting->getRouteKey() }}/edit" class="btn btn-success"> {{ trans('cms.edit')  }}</a>
                <a href="{{ trans_url('/user/incidentreporting/incidentreporting') }}/{{ incidentreporting->getRouteKey() }}/copy" class="btn btn-warning"> {{ trans('cms.copy')  }}</a>
                <a href="{{ trans_url('/user/incidentreporting/incidentreporting') }}/{{ incidentreporting->getRouteKey() }}/delete" class="btn btn-danger"> {{ trans('cms.delete')  }}</a>
            </div>
        </div>
    </div>
    <p class="text-muted m-b-25 font-13">
        Your awesome text goes here.
    </p>
    <hr/>

    <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="id">
                    {!! trans('incidentreporting::incidentreporting.label.id') !!}
                </label><br />
                    {!! $incidentreporting['id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="division_id">
                    {!! trans('incidentreporting::incidentreporting.label.division_id') !!}
                </label><br />
                    {!! $incidentreporting['division_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="asset_id">
                    {!! trans('incidentreporting::incidentreporting.label.asset_id') !!}
                </label><br />
                    {!! $incidentreporting['asset_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="damagepercentage">
                    {!! trans('incidentreporting::incidentreporting.label.damagepercentage') !!}
                </label><br />
                    {!! $incidentreporting['damagepercentage'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="damagedetails">
                    {!! trans('incidentreporting::incidentreporting.label.damagedetails') !!}
                </label><br />
                    {!! $incidentreporting['damagedetails'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="status">
                    {!! trans('incidentreporting::incidentreporting.label.status') !!}
                </label><br />
                    {!! $incidentreporting['status'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="statusdate">
                    {!! trans('incidentreporting::incidentreporting.label.statusdate') !!}
                </label><br />
                    {!! $incidentreporting['statusdate'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="employee_id">
                    {!! trans('incidentreporting::incidentreporting.label.employee_id') !!}
                </label><br />
                    {!! $incidentreporting['employee_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="externalname">
                    {!! trans('incidentreporting::incidentreporting.label.externalname') !!}
                </label><br />
                    {!! $incidentreporting['externalname'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="externalmobile">
                    {!! trans('incidentreporting::incidentreporting.label.externalmobile') !!}
                </label><br />
                    {!! $incidentreporting['externalmobile'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="usedby_id">
                    {!! trans('incidentreporting::incidentreporting.label.usedby_id') !!}
                </label><br />
                    {!! $incidentreporting['usedby_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="custodian_id">
                    {!! trans('incidentreporting::incidentreporting.label.custodian_id') !!}
                </label><br />
                    {!! $incidentreporting['custodian_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="asset_type">
                    {!! trans('incidentreporting::incidentreporting.label.asset_type') !!}
                </label><br />
                    {!! $incidentreporting['asset_type'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="action">
                    {!! trans('incidentreporting::incidentreporting.label.action') !!}
                </label><br />
                    {!! $incidentreporting['action'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="slug">
                    {!! trans('incidentreporting::incidentreporting.label.slug') !!}
                </label><br />
                    {!! $incidentreporting['slug'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="user_id">
                    {!! trans('incidentreporting::incidentreporting.label.user_id') !!}
                </label><br />
                    {!! $incidentreporting['user_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="user_type">
                    {!! trans('incidentreporting::incidentreporting.label.user_type') !!}
                </label><br />
                    {!! $incidentreporting['user_type'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="created_at">
                    {!! trans('incidentreporting::incidentreporting.label.created_at') !!}
                </label><br />
                    {!! $incidentreporting['created_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="updated_at">
                    {!! trans('incidentreporting::incidentreporting.label.updated_at') !!}
                </label><br />
                    {!! $incidentreporting['updated_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="deleted_at">
                    {!! trans('incidentreporting::incidentreporting.label.deleted_at') !!}
                </label><br />
                    {!! $incidentreporting['deleted_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="image">
                    {!! trans('incidentreporting::incidentreporting.label.image') !!}
                </label><br />
                    {!! $incidentreporting['image'] !!}
            </div>
        </div>
    </div>
</div>